Bug 445847 - Review Request: vegastrike-music - Music for Vega Strike
Review Request: vegastrike-music - Music for Vega Strike
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jon Ciesla
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-09 07:28 EDT by Hans de Goede
Modified: 2008-07-26 01:55 EDT (History)
2 users (show)

See Also:
Fixed In Version: 0.5.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 18:27:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Hans de Goede 2008-05-09 07:28:44 EDT
Spec URL: http://people.atrpms.net/~hdegoede/vegastrike-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/vegastrike-music-0.5.0-1.src.rpm
Description:
Music for Vega Strike, a GPL 3D OpenGL Action RPG space sim that allows
a player to trade and bounty hunt. This archive contains the music files
necessary to hear music in VegaStrike. These files are *not* essential to
play the game.
Comment 1 Jon Ciesla 2008-05-15 11:31:18 EDT
Downloading. . . . :)
Comment 2 Jon Ciesla 2008-05-15 12:00:25 EDT
GPL+ is not valid, needs a version, a la GPLv1+, GPLv2+, etc.

Fix perms, some .oggs are marked executable.  

Otherwise, passes all MUSTS.
Comment 3 Mamoru TASAKA 2008-05-15 12:56:44 EDT
(In reply to comment #2)
> GPL+ is not valid, 

It is valid:
http://fedoraproject.org/wiki/Licensing
Comment 4 Jon Ciesla 2008-05-15 13:01:42 EDT
So it is.  My bad.  Should have relied on rpmlint not complaining, which it does
loudly if you use an invalid tag.  Just the perms, then.
Comment 5 Hans de Goede 2008-05-15 15:18:17 EDT
(In reply to comment #2)
> Fix perms, some .oggs are marked executable.  

Only in the tarbal (as they are upstream), not in the build rpm, as they get
installed with -m 644:

install -p -m 644 *.ogg $RPM_BUILD_ROOT%{_datadir}/vegastrike/music
Comment 6 Hans de Goede 2008-05-15 15:22:27 EDT
Argh, stop the presses, upstream just announced that the they've gotten
permission from the author who's mujsic I've removed to distribute it under the GPL.

So now I'm of todo a new music package ...
Comment 7 Jon Ciesla 2008-05-15 15:28:00 EDT
Re #5.  Doh!  Eye fart.  More caffeine. . . 

Re #6.  That's hysterical. :) I'll take a look once you get it posted.  'Spect
it'll be fine, though.
Comment 8 Hans de Goede 2008-05-16 08:59:25 EDT
Ok,

New version ready for review:
Spec URL: http://people.atrpms.net/~hdegoede/vegastrike-music.spec
SRPM URL: http://people.atrpms.net/~hdegoede/vegastrike-music-0.5.0-1.src.rpm

Basicly the tarbal was respun to include the earlier omitted numbers, no other
changes.
Comment 9 Jon Ciesla 2008-05-16 09:17:01 EDT
Downloading.  It's a fair bit bigger. :)
Comment 10 Jon Ciesla 2008-05-16 09:43:09 EDT
Looks great.  APPROVED.
Comment 11 Hans de Goede 2008-05-16 10:35:49 EDT
Thanks!

New Package CVS Request
=======================
Package Name:      vegastrike-music
Short Description: Music for Vega Strike
Owners:            jwrdegoede
Branches:          F-9
InitialCC:
Cvsextras Commits: Yes
Comment 12 Kevin Fenzi 2008-05-16 11:38:06 EDT
cvs done.
Comment 13 Jon Ciesla 2008-05-16 11:46:00 EDT
Beautiful. Thanks!
Comment 14 Jon Ciesla 2008-05-16 11:46:27 EDT
Oops, commented on wrong bug.  Ignore.
Comment 15 Fedora Update System 2008-05-17 05:38:49 EDT
vegastrike-data-0.5.0-3,vegastrike-music-0.5.0-2 has been submitted as an update for Fedora 9
Comment 16 Hans de Goede 2008-05-17 05:49:55 EDT
Imported, build and on its way to F-9 updates.
Comment 17 Fedora Update System 2008-05-17 18:27:31 EDT
vegastrike-data-0.5.0-3, vegastrike-music-0.5.0-2 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2008-07-26 01:55:21 EDT
vegastrike-data-0.5.0-3, vegastrike-music-0.5.0-2 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.